Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

chain_id
string
required
env_name
string
required

Body

application/json

A request to promote a deployment to a environment.

deployment_id
string
required

The id of the chain deployment to promote

scale_down_previous_deployment
boolean
default:true

Whether to scale down the previous deployment after promoting

Example:

true

Response

200 - application/json

A deployment of a chain.

id
string
required

Unique identifier of the chain deployment

created_at
string<date-time>
required

Time the chain deployment was created in ISO 8601 format

chain_id
string
required

Unique identifier of the chain

environment
string | null
required

Environment the chain deployment is deployed in

chainlets
ChainletV1 · object[]
required

Chainlets in the chain deployment

status
enum<string>
required

Status of the chain deployment

Available options:
BUILDING,
DEPLOYING,
DEPLOY_FAILED,
LOADING_MODEL,
ACTIVE,
UNHEALTHY,
BUILD_FAILED,
BUILD_STOPPED,
DEACTIVATING,
INACTIVE,
FAILED,
UPDATING,
SCALED_TO_ZERO,
WAKING_UP